# REST API Basics

## Base API domain

```
https://app.cloutly.com/api/v1
```

## Authentication

Add `x-api-key` to every request:

```
x-api-key: YOUR_API_KEY_HERE
```

## Rate limiting

Default limit is `200 requests/minute`.\
If rate-limited, the API returns `429 Too Many Requests`.

## Error responses

* `400 Bad Request` - invalid request shape or values.
* `401 Unauthorized` - missing/invalid API key.
* `404 Not Found` - resource does not exist.
* `429 Too Many Requests` - request quota exceeded.

## Core endpoints

* `GET /businesses`
* `GET /reviews`
* `PUT /reply`
* `POST /send-review-invite`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloutly.com/reviews-sdk-for-marketplace-websites/rest-api/swagger-specs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
